#!/usr/bin/env ruby
#
# gt2fasta.rb - convert GenBank translations into FASTA format (pep)
#
#   Copyright (C) 2001 KATAYAMA Toshiaki <k@bioruby.org>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#

require 'bio/db/genbank'
require 'bio/util/fold'

while gets(GenBank::DELIMITER)
  gb = GenBank.new($_)

  orf = 0
  gb.features do |f|
    if aaseq = f['translation']
      orf += 1
      print ">gp:#{gb.locus('name')}_#{orf} "
      print "#{f['gene']}, "     if f['gene']
      print "#{f['product']}, "  if f['product']
      print "#{f['note']}, "     if f['note']
      print "#{f['function']}, " if f['function']
      print "[#{gb.source('organism')}]" if gb.source('organism')
      print "\n"
      print aaseq.fold(70)
    end
  end

end

